Page MenuHomePhabricator

[Task] create initial order of all properties for gadget
Closed, ResolvedPublic

Description

We have a gadget now to order the statements in an item. It only has a few properties however and those in parts have a weird order. We need to try to come up with a list of all properties.

Steps to take:

  • Get a list of all properties (list properties or via SPARQL)
  • Split the property list in 2 based on the datatype (one part identifiers and one part non-identifiers)
  • Sort the list with the identifiers alphabetical by English label
  • Get a list of 30 diverse but high-profile items (for example some of the showcase items on https://www.wikidata.org/wiki/Wikidata:Showcase_items)
  • Sort the other properties in a way that the 30 items have a meaningful order in their statements

https://www.wikidata.org/wiki/MediaWiki:Gadget-statementSort.js is the code of the gadget.

This list can later be updated by the editors but we need a meaningful first version of the list to actually have a meaningful discussion about ordering.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2016, 1:01 PM

I wonder – which of these can be automatized, for which do we need manual retrieval? In particular, this is concerns the sorting via the gadget. Looking at the code I assume that the order needs to be written in the code. The gadget does rewrite the order, but nothing else (like allowing to define and order)

I have finished creating the ordered properties list (code for replacing the current statementSort.js). Moreover, I have asked @Lea_Lacroix_WMDE to make the edit request pertaining to this.

thiemowmde added a subscriber: thiemowmde.

@Glorian_Yapinus worked on an updated version of the statementSort gadget, containing all properties in an order that (mostly) makes sense, no matter at what item the user looks. The new JavaScript source code is here: P4301.

We did an edit request at https://www.wikidata.org/wiki/MediaWiki_talk:Gadget-statementSort.js.

thiemowmde moved this task from incoming to in progress on the Wikidata board.Oct 25 2016, 10:53 AM
thiemowmde moved this task from Backlog to Additions and adjustments on the Wikidata-Gadgets board.
thiemowmde closed this task as Resolved.Oct 27 2016, 1:04 PM
Izno added a subscriber: Izno.Oct 31 2016, 3:16 PM

@Glorian_Yapinus worked on an updated version of the statementSort gadget, containing all properties in an order that (mostly) makes sense, no matter at what item the user looks. The new JavaScript source code is here: P4301.
We did an edit request at https://www.wikidata.org/wiki/MediaWiki_talk:Gadget-statementSort.js.

A user has since responded at the talk page. Will followup be there, or is this back in the community's hands, or?

Yes. Adapt as you see fit.

I suggested to make suggestions on the talk page of the gadget. I also announced it on Project Chat because I didn't before, my bad. I plan to let the community discuss, make suggestions, edit the code, and then have another look and modify the gadget again, in two weeks.

I will rework the list and make a new edit request before the end of the week. Let's continue discussion on-wiki.